Bug 604234 - Crash when default adapter is changed
Crash when default adapter is changed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
: 597706 603452 604233 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 12:47 EDT by Dan Williams
Modified: 2011-06-27 14:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:18:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Same crash attached so BZ doesn't screw up line wrapping (19.31 KB, text/plain)
2010-06-15 12:48 EDT, Dan Williams
no flags Details

  None (edit)
Description Dan Williams 2010-06-15 12:47:17 EDT
Had plugged in an external USB BT adapter, and just turned bt rfkill off with 'rfkill unblock bluetooth'.  The internal (hci0) was previously the default adapter, but now the external (hci1) should be default since the internal (hci0) takes a second or two to hotplug after radios are switched back on.

[New Thread 1853]
Core was generated by `bluetooth-applet'.
Program terminated with signal 11, Segmentation fault.
#0  bluetooth_agent_unregister (agent=0x18ff650) at bluetooth-agent.c:476
476	bluetooth-agent.c: No such file or directory.
	in bluetooth-agent.c

Thread 1 (Thread 1853):
#0  bluetooth_agent_unregister (agent=0x18ff650) at bluetooth-agent.c:476
        priv = <value optimized out>
        error = 0x100000001
#1  0x000000000040ac37 in default_adapter_changed (
    gobject=<value optimized out>, pspec=<value optimized out>, 
    user_data=<value optimized out>) at agent.c:707
        adapter_str = 0x19c1a80 "/org/bluez/3422/hci0"
#2  0x000000369542778f in g_cclosure_marshal_VOID__PARAM (closure=0x18a7880, 
    return_value=0x0, n_param_values=2, param_values=0x19c0cc0, 
    invocation_hint=0x7fff1fe38180, marshal_data=0x0) at gmarshal.c:531
        callback = 0x40ac00 <default_adapter_changed>
        cc = 0x40ac00
        data1 = 0x1889b20
        data2 = 0x0
        __PRETTY_FUNCTION__ = "g_cclosure_marshal_VOID__PARAM"
#3  0x000000369540dd0e in g_closure_invoke (closure=0x18a7880, return_value=
    0x0, n_param_values=2, param_values=0x19c0cc0, invocation_hint=
    0x7fff1fe38180) at gclosure.c:767
        marshal = 0x36954276d6 <g_cclosure_marshal_VOID__PARAM>
        marshal_data = 0x0
        in_marshal = 0
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#4  0x0000003695426496 in signal_emit_unlocked_R (node=0x1808960, detail=894, 
    instance=0x1889b20, emission_return=0x0, instance_and_params=0x19c0cc0)
    at gsignal.c:3248
        tmp = 0x19c0cc0
        handler = 0x18a12d0
        accumulator = 0x0
        emission = {next = 0x0, instance = 0x1889b20, ihint = {signal_id = 1, 
            detail = 894, run_type = G_SIGNAL_RUN_FIRST}, state = 
    EMISSION_RUN, chain_type = 4}
        class_closure = 0x18088d0
        hlist = 0x18a77e8
        handler_list = 0x18a12d0
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 
    0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
              v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
              v_pointer = 0x0}}}
        signal_id = 1
        max_sequential_handler_number = 423
        return_value_altered = 1
#5  0x000000369542540a in g_signal_emit_valist (instance=0x1889b20, signal_id=
    1, detail=894, var_args=0x7fff1fe383f0) at gsignal.c:2981
        instance_and_params = 0x19c0cc0
        signal_return_type = 4
        param_values = 0x19c0cd8
        node = 0x1808960
        i = 1
        n_params = 1
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#6  0x000000369542598e in g_signal_emit (instance=0x1889b20, signal_id=1, 
    detail=894) at gsignal.c:3038
        var_args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 
    0x7fff1fe384e0, reg_save_area = 0x7fff1fe38410}}
#7  0x0000003695410710 in g_object_dispatch_properties_changed (object=
    0x1889b20 [BluetoothClient], n_pspecs=1, pspecs=0x7fff1fe38580)
    at gobject.c:801
        i = 0
#8  0x000000369540f7a0 in g_object_notify_dispatcher (object=
    0x1889b20 [BluetoothClient], n_pspecs=1, pspecs=0x7fff1fe38580)
    at gobject.c:328
No locals.
#9  0x000000369540f483 in g_object_notify_queue_thaw (object=
    0x1889b20 [BluetoothClient], nqueue=0x18b6ce0) at gobjectnotifyqueue.c:120
        context = 0x369564a860
        pspecs_mem = {0x1886ee0 [GParamString], 0x17ec7c0, 0x7fff1fe385d0, 
    0x369446de54, 0x7fff1fe38640, 0x10, 0x17ec7b0, 0x1993520, 0x10, 
    0x100000000, 0x7fff1fe38600, 0x369446f735, 0x1886ee0 [GParamString], 0x0, 
    0x1886ee0 [GParamString], 0x1993520}
        pspecs = 0x7fff1fe38580
        free_me = 0x0
        slist = 0x0
        n_pspecs = 1
        __PRETTY_FUNCTION__ = "g_object_notify_queue_thaw"
#10 0x0000003695410a69 in g_object_notify (object=
    0x1889b20 [BluetoothClient], property_name=0x412d16 "default-adapter")
    at gobject.c:888
        nqueue = 0x18b6ce0
        pspec = 0x1886ee0 [GParamString]
        __PRETTY_FUNCTION__ = "g_object_notify"
#11 0x000000000040e856 in default_adapter_changed (
    manager=<value optimized out>, path=0x19bbdd0 "/org/bluez/3422/hci0", 
    user_data=<value optimized out>) at bluetooth-client.c:1115
        client = <value optimized out>
        priv = 0x1889b40
        iter = {stamp = 0, user_data = 0x19bef00, user_data2 = 0x0, 
          user_data3 = 0x0}
        cont = <value optimized out>
#12 0x0000003695427853 in g_cclosure_marshal_VOID__BOXED (closure=0x187e130, 
    return_value=0x0, n_param_values=2, param_values=0x198ec00, 
    invocation_hint=0x7fff1fe38930, marshal_data=0x0) at gmarshal.c:566
        callback = 0x40e720 <default_adapter_changed>
        cc = 0x40e720
        data1 = 0x1887150
        data2 = 0x1889b20
        __PRETTY_FUNCTION__ = "g_cclosure_marshal_VOID__BOXED"
#13 0x000000369d41284f in marshal_dbus_message_to_g_marshaller (closure=
    0x187e130, return_value=0x0, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=0x7fff1fe38930, 
    marshal_data=0x0) at dbus-gproxy.c:1681
        value_array = 0x18b70e0
        c_marshaller = 0x369542779a <g_cclosure_marshal_VOID__BOXED>
        proxy = 0x1887150 [DBusGProxy]
        message = 0x18b54d0
        gsignature = <value optimized out>
        types = <value optimized out>
        priv = 0x184c5c0
        __PRETTY_FUNCTION__ = "marshal_dbus_message_to_g_marshaller"
#14 0x000000369540dd0e in g_closure_invoke (closure=0x187e130, return_value=
    0x0, n_param_values=3, param_values=0x18c9800, invocation_hint=
    0x7fff1fe38930) at gclosure.c:767
        marshal = 0x369d412680 <marshal_dbus_message_to_g_marshaller>
        marshal_data = 0x0
        in_marshal = 0
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#15 0x0000003695426496 in signal_emit_unlocked_R (node=0x186bb30, detail=915, 
    instance=0x1887150, emission_return=0x0, instance_and_params=0x18c9800)
    at gsignal.c:3248
        tmp = 0x188ccf0
        handler = 0x188ccf0
        accumulator = 0x0
        emission = {next = 0x0, instance = 0x1887150, ihint = {signal_id = 
    144, detail = 915, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, 
          chain_type = 4}
        class_closure = 0x0
        hlist = 0x1898da8
        handler_list = 0x188cad0
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 
    0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
              v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
              v_pointer = 0x0}}}
        signal_id = 144
        max_sequential_handler_number = 373
        return_value_altered = 0
#16 0x000000369542540a in g_signal_emit_valist (instance=0x1887150, signal_id=
    144, detail=915, var_args=0x7fff1fe38ba0) at gsignal.c:2981
        instance_and_params = 0x18c9800
        signal_return_type = 4
        param_values = 0x18c9818
        node = 0x186bb30
        i = 2
        n_params = 2
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#17 0x000000369542598e in g_signal_emit (instance=0x1887150, signal_id=144, 
    detail=915) at gsignal.c:3038
        var_args = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 
    0x7fff1fe38c90, reg_save_area = 0x7fff1fe38bc0}}
#18 0x000000369d41390a in dbus_g_proxy_emit_remote_signal (
    connection=<value optimized out>, message=<value optimized out>, 
    user_data=0x1898f60) at dbus-gproxy.c:1734
        gsignature = <value optimized out>
        i = <value optimized out>
        interface = <value optimized out>
        signal = <value optimized out>
        q = 915
        name = 0x19bcc40 "org-bluez-Manager-DefaultAdapterChanged"
        priv = 0x1887170
        msg_gsignature = <value optimized out>
#19 dbus_g_proxy_manager_filter (connection=<value optimized out>, 
    message=<value optimized out>, user_data=0x1898f60) at dbus-gproxy.c:1301
        proxy = 0x1887150 [DBusGProxy]
        tri = <value optimized out>
        tmp = 0x198a150 = {0x1887150}
        full_list = 0x198a150 = {0x1887150}
        owned_names = <value optimized out>
        sender = <value optimized out>
        manager = 0x1898f60
        __PRETTY_FUNCTION__ = "dbus_g_proxy_manager_filter"
#20 0x00000036998109d6 in dbus_connection_dispatch (connection=0x18953a0)
    at dbus-connection.c:4451
        filter = <value optimized out>
        next = 0x0
        message = 0x18b54d0
        link = <value optimized out>
        filter_list_copy = 0x18736a8
        message_link = 0x18734b0
        result = <value optimized out>
        pending = <value optimized out>
        reply_serial = <value optimized out>
        status = <value optimized out>
        __FUNCTION__ = "dbus_connection_dispatch"
#21 0x000000369d409b65 in message_queue_dispatch (
    source=<value optimized out>, callback=<value optimized out>, 
    user_data=<value optimized out>) at dbus-gmain.c:101
        connection = 0x18953a0
#22 0x000000369444b146 in g_main_dispatch (context=0x1820b80) at gmain.c:1960
        dispatch = 0x369d409b50 <message_queue_dispatch>
        was_in_call = 0
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = 0x0
        need_destroy = 0
        current_source_link = {data = 0x1896a90, next = 0x0}
        source = 0x1896a90
        current = 0x1874e60
        i = 0
        __PRETTY_FUNCTION__ = "g_main_dispatch"
#23 0x000000369444c654 in g_main_context_dispatch (context=0x1820b80)
    at gmain.c:2513
No locals.
#24 0x000000369444cb1f in g_main_context_iterate (context=0x1820b80, block=1, 
    dispatch=1, self=0x17ec0b0) at gmain.c:2591
        max_priority = 0
        timeout = 0
        some_ready = 1
        nfds = 10
        allocated_nfds = 10
        fds = 0x18f8400
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#25 0x000000369444d2bf in g_main_loop_run (loop=0x18acea0) at gmain.c:2799
        self = 0x17ec0b0
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#26 0x000000369c1493c7 in IA__gtk_main () at gtkmain.c:1219
        tmp_list = <value optimized out>
        functions = 0x0
        init = <value optimized out>
        loop = 0x18acea0
#27 0x0000000000409f7d in main (argc=1, argv=0x7fff1fe390f8) at main.c:1132
        app = 0x18685e0 [UniqueApp]
        statusicon = 0x18a0980 [GtkStatusIcon]
        menu = 0x1831e30 [GtkMenu]
        value = <value optimized out>
        context = <value optimized out>
        error = 0x0
From                To                  Syms Read   Shared Object Library
0x000000369cc077a0  0x000000369cc12a38  Yes         /usr/lib64/libgnome-bluetooth.so.7
0x000000369ec11b30  0x000000369ec2da28  Yes         /usr/lib64/libgconf-2.so.4.1.5
0x00000036a8c032e0  0x00000036a8c061f8  Yes         /usr/lib64/libnotify.so.1
0x000000369d4090b0  0x000000369d419dd8  Yes         /usr/lib64/libdbus-glib-1.so.2.1.0
0x0000003699807090  0x000000369982e4c8  Yes         /lib64/libdbus-1.so.3.4.0
0x0000003693405640  0x0000003693410e48  Yes         /lib64/libpthread-2.12.so
0x00000036aac04ba0  0x00000036aac094a8  Yes         /usr/lib64/libunique-1.0.so.0
0x000000369c0681c0  0x000000369c30d268  Yes         /usr/lib64/libgtk-x11-2.0.so.0.2000.1
0x000000369b81d260  0x000000369b87f2a8  Yes         /usr/lib64/libgdk-x11-2.0.so.0.2000.1
0x000000369c8096b0  0x000000369c8150f8  Yes         /usr/lib64/libatk-1.0.so.0.3009.1
0x0000003696c1ea80  0x0000003696ca3868  Yes         /lib64/libgio-2.0.so.0.2400.1
0x000000369a407650  0x000000369a421348  Yes         /usr/lib64/libpangoft2-1.0.so.0.2800.0
0x0000003699c05940  0x0000003699c17ba8  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0.2000.1
0x000000369a004630  0x000000369a008eb8  Yes         /usr/lib64/libpangocairo-1.0.so.0.2800.0
0x000000369b009c50  0x000000369b05b058  Yes         /usr/lib64/libcairo.so.2.10800.10
0x000000369ac0ede0  0x000000369ac2d768  Yes         /usr/lib64/libpango-1.0.so.0.2800.0
0x000000369740c850  0x00000036974745a8  Yes         /usr/lib64/libfreetype.so.6.3.22
0x0000003697c05c80  0x0000003697c1ff28  Yes         /usr/lib64/libfontconfig.so.1.4.4
0x000000369540a3c0  0x0000003695438798  Yes         /lib64/libgobject-2.0.so.0.2400.1
0x00000036958010c0  0x0000003695802388  Yes         /lib64/libgmodule-2.0.so.0.2400.1
0x0000003694c01600  0x0000003694c02f68  Yes         /lib64/libgthread-2.0.so.0.2400.1
0x0000003694002140  0x00000036940055a8  Yes         /lib64/librt-2.12.so
0x000000369441b850  0x00000036944c1c28  Yes         /lib64/libglib-2.0.so.0.2400.1
0x0000003692c1e9a0  0x0000003692d2b9e0  Yes         /lib64/libc-2.12.so
0x000000369e827990  0x000000369e84b6a8  Yes         /usr/lib64/libORBit-2.so.0.1.0
0x0000003692800af0  0x0000003692818934  Yes         /lib64/ld-2.12.so
0x0000003695c1dd80  0x0000003695cab938  Yes         /usr/lib64/libX11.so.6.3.0
0x0000003698c01370  0x0000003698c04178  Yes         /usr/lib64/libXfixes.so.3
0x0000003693003ea0  0x0000003693043fa8  Yes         /lib64/libm-2.12.so
0x0000003697003580  0x000000369700e768  Yes         /usr/lib64/libXext.so.6.4.0
0x00000036980018c0  0x0000003698007f58  Yes         /usr/lib64/libXrender.so.1.3.0
0x0000003698400a20  0x0000003698401508  Yes         /usr/lib64/libXinerama.so.1
0x0000003698801eb0  0x000000369880c608  Yes         /usr/lib64/libXi.so.6.1.0
0x0000003699401720  0x0000003699406828  Yes         /usr/lib64/libXrandr.so.2
0x0000003699002880  0x0000003699007678  Yes         /usr/lib64/libXcursor.so.1
0x000000369bc00b40  0x000000369bc01908  Yes         /usr/lib64/libXcomposite.so.1
0x000000369b400a90  0x000000369b401638  Yes         /usr/lib64/libXdamage.so.1
0x0000003693800de0  0x0000003693801998  Yes         /lib64/libdl-2.12.so
0x00000036950038c0  0x0000003695012528  Yes         /lib64/libresolv-2.12.so
0x0000003693c01ef0  0x0000003693c0d228  Yes         /lib64/libz.so.1.2.3
0x0000003694805550  0x0000003694815038  Yes         /lib64/libselinux.so.1
0x0000003697804830  0x000000369781e7a8  Yes         /usr/lib64/libpng12.so.0.43.0
0x000000369a807230  0x000000369a851e78  Yes         /usr/lib64/libpixman-1.so.0.18.0
0x0000003696803b70  0x000000369681ca08  Yes         /lib64/libexpat.so.1.5.2
0x0000003696408650  0x0000003696413898  Yes         /usr/lib64/libxcb.so.1
0x0000003696000dd0  0x0000003696001b68  Yes         /usr/lib64/libXau.so.6
0x00007f57e9889bc0  0x00007f57e98ab818  Yes         /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
0x00007f57e9684620  0x00007f57e9684e08  Yes         /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
0x00007f57e947efb0  0x00007f57e94811e8  Yes         /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
0x00000036ac001c60  0x00000036ac0030a8  Yes         /usr/lib64/libcanberra-gtk.so.0
0x00000036abc03280  0x00000036abc0c318  Yes         /usr/lib64/libcanberra.so.0
0x00000036a9c01fa0  0x00000036a9c05fd8  Yes         /usr/lib64/libvorbisfile.so.3
0x00000036a5403700  0x00000036a541a718  Yes         /usr/lib64/libvorbis.so.0
0x00000036a50018a0  0x00000036a5003bb8  Yes         /usr/lib64/libogg.so.0
0x00000036ab401e30  0x00000036ab409ca8  Yes         /usr/lib64/libtdb.so.1
0x00000036a7402370  0x00000036a7406758  Yes         /usr/lib64/libltdl.so.7
0x00007f57e545baa0  0x00007f57e5474bb8  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
0x00007f57e5244190  0x00007f57e524e418  Yes         /usr/lib64/libgvfscommon.so.0
0x00000036a6002770  0x00000036a600a2b8  Yes         /lib64/libudev.so.0.6.1
0x00000036a1000e10  0x00000036a1001688  Yes         /lib64/libutil-2.12.so
$1 = 0x0
$2 = 0x0
rax            0x0	0
rbx            0x18ff650	26211920
rcx            0x0	0
rdx            0x10	16
rsi            0x4	4
rdi            0x10	16
rbp            0x7fff1fe38060	0x7fff1fe38060
rsp            0x7fff1fe37fa0	0x7fff1fe37fa0
r8             0x1992860	26814560
r9             0x2d6e6f6e2064696c	3273676497925466476
r10            0x69746e6174736e69	7598819836125474409
r11            0x246	582
r12            0x0	0
r13            0x40ac00	4238336
r14            0x7fff1fe386fc	140733728392956
r15            0x7fff1fe386f0	140733728392944
rip            0x41115b	0x41115b <bluetooth_agent_unregister+27>
eflags         0x10202	[ IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function bluetooth_agent_unregister:
   0x0000000000411140 <+0>:	push   %r12
   0x0000000000411142 <+2>:	push   %rbp
   0x0000000000411143 <+3>:	push   %rbx
   0x0000000000411144 <+4>:	mov    %rdi,%rbx
   0x0000000000411147 <+7>:	sub    $0x20,%rsp
   0x000000000041114b <+11>:	callq  0x4107b0 <bluetooth_agent_get_type>
   0x0000000000411150 <+16>:	mov    %rbx,%rdi
   0x0000000000411153 <+19>:	mov    %rax,%rsi
   0x0000000000411156 <+22>:	callq  0x407aa8 <g_type_instance_get_private@plt>
=> 0x000000000041115b <+27>:	mov    0x10(%rax),%rbp
   0x000000000041115f <+31>:	mov    %rax,%rbx
   0x0000000000411162 <+34>:	xor    %eax,%eax
   0x0000000000411164 <+36>:	test   %rbp,%rbp
   0x0000000000411167 <+39>:	je     0x4111f9 <bluetooth_agent_unregister+185>
   0x000000000041116d <+45>:	mov    0x8(%rbx),%r12
   0x0000000000411171 <+49>:	callq  0x4078a8 <dbus_g_object_path_get_g_type@plt>
   0x0000000000411176 <+54>:	lea    0x18(%rsp),%rdx
   0x000000000041117b <+59>:	lea    0x2932(%rip),%rsi        # 0x413ab4
   0x0000000000411182 <+66>:	xor    %r9d,%r9d
   0x0000000000411185 <+69>:	mov    %rax,%rcx
   0x0000000000411188 <+72>:	mov    %r12,%r8
   0x000000000041118b <+75>:	xor    %eax,%eax
   0x000000000041118d <+77>:	mov    %rbp,%rdi
   0x0000000000411190 <+80>:	movq   $0x0,0x18(%rsp)
   0x0000000000411199 <+89>:	movq   $0x0,(%rsp)
   0x00000000004111a1 <+97>:	callq  0x406dc8 <dbus_g_proxy_call@plt>
   0x00000000004111a6 <+102>:	cmpq   $0x0,0x18(%rsp)
   0x00000000004111ac <+108>:	je     0x4111d2 <bluetooth_agent_unregister+146>
   0x00000000004111ae <+110>:	callq  0x4075d8 <dbus_g_error_quark@plt>
   0x00000000004111b3 <+115>:	mov    0x18(%rsp),%rdi
   0x00000000004111b8 <+120>:	mov    $0x13,%edx
   0x00000000004111bd <+125>:	mov    %eax,%esi
   0x00000000004111bf <+127>:	callq  0x407818 <g_error_matches@plt>
   0x00000000004111c4 <+132>:	test   %eax,%eax
   0x00000000004111c6 <+134>:	je     0x411208 <bluetooth_agent_unregister+200>
   0x00000000004111c8 <+136>:	mov    0x18(%rsp),%rdi
   0x00000000004111cd <+141>:	callq  0x407d28 <g_error_free@plt>
   0x00000000004111d2 <+146>:	mov    0x10(%rbx),%rdi
   0x00000000004111d6 <+150>:	callq  0x406fb8 <g_object_unref@plt>
   0x00000000004111db <+155>:	mov    0x8(%rbx),%rdi
   0x00000000004111df <+159>:	movq   $0x0,0x10(%rbx)
   0x00000000004111e7 <+167>:	callq  0x406d58 <g_free@plt>
   0x00000000004111ec <+172>:	movq   $0x0,0x8(%rbx)
   0x00000000004111f4 <+180>:	mov    $0x1,%eax
   0x00000000004111f9 <+185>:	add    $0x20,%rsp
   0x00000000004111fd <+189>:	pop    %rbx
   0x00000000004111fe <+190>:	pop    %rbp
   0x00000000004111ff <+191>:	pop    %r12
   0x0000000000411201 <+193>:	retq   
   0x0000000000411202 <+194>:	nopw   0x0(%rax,%rax,1)
   0x0000000000411208 <+200>:	mov    0x18(%rsp),%rbp
   0x000000000041120d <+205>:	mov    0x0(%rbp),%edi
   0x0000000000411210 <+208>:	callq  0x407e08 <g_quark_to_string@plt>
   0x0000000000411215 <+213>:	mov    0x8(%rbp),%rsi
   0x0000000000411219 <+217>:	lea    0x28e8(%rip),%rdi        # 0x413b08
   0x0000000000411220 <+224>:	mov    %rax,%rdx
   0x0000000000411223 <+227>:	xor    %eax,%eax
   0x0000000000411225 <+229>:	callq  0x407168 <g_printerr@plt>
   0x000000000041122a <+234>:	jmp    0x4111c8 <bluetooth_agent_unregister+136>
End of assembler dump.
Comment 1 Dan Williams 2010-06-15 12:48:09 EDT
Created attachment 424222 [details]
Same crash attached so BZ doesn't screw up line wrapping
Comment 2 Dan Williams 2010-06-15 12:50:38 EDT
Useful xsession-errors messages:

** Message: updating killswitch status 7
** Message: killswitch 1 is 1
** Message: killswitch 7 is 1
** Message: killswitches state 1
** Message: killswitch 1 is 1
** Message: killswitch 7 is 1
** Message: killswitches state 1
** Message: RFKILL event: idx 8 type 2 op 0 soft 0 hard 0

** Message: adding killswitch idx 8 state 1
** Message: killswitch 1 is 1
** Message: killswitch 7 is 1
** Message: killswitch 8 is 1
** Message: killswitches state 1
** Message: RFKILL event: idx 8 type 2 op 2 soft 0 hard 0

** Message: killswitch 1 is 1
** Message: killswitch 7 is 1
** Message: killswitch 8 is 1
** Message: killswitches state 1

(bluetooth-applet:1853): GLib-GObject-WARNING **: instance of invalid non-instantiatable type `<invalid>'
Comment 3 Dan Williams 2010-06-15 12:51:32 EDT
bluetooth-agent.c:476 appears to be:

	DBG("agent %p", agent);

=>	if (priv->adapter == NULL)
		return FALSE;

	dbus_g_proxy_call (priv->adapter, "UnregisterAgent", &error,

so this is getting triggered after the BluetoothAgent is destroyed, most likely.
Comment 4 Bastien Nocera 2010-06-21 09:33:56 EDT
*** Bug 604233 has been marked as a duplicate of this bug. ***
Comment 5 Bastien Nocera 2010-06-21 09:34:38 EDT
*** Bug 603452 has been marked as a duplicate of this bug. ***
Comment 6 Bastien Nocera 2010-06-21 09:36:40 EDT
*** Bug 597706 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2011-06-02 06:44:07 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-27 14:18:27 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.